From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/translate-toolkit/
Date: Thu, 8 Dec 2016 12:24:18 +0000 (UTC) [thread overview]
Message-ID: <1481199819.11c987dffcb79ed9bf0caa518960afaff665f13d.mgorny@gentoo> (raw)
commit: 11c987dffcb79ed9bf0caa518960afaff665f13d
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Wed Dec 7 19:02:40 2016 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec 8 12:23:39 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11c987df
dev-python/translate-toolkit: Block dev-python/pydiff, file collision
Gentoo-bug: 597782
dev-python/pydiff only seems to have one reverse-dep and was last released
> 3 years ago, so maybe over time this will solve itself. File has existed
in translate-toolkit 3 years prior to pydiff.
Package-Manager: portage-2.3.0
.../translate-toolkit-2.0.0_beta7-r1.ebuild | 83 ++++++++++++++++++++++
1 file changed, 83 insertions(+)
diff --git a/dev-python/translate-toolkit/translate-toolkit-2.0.0_beta7-r1.ebuild b/dev-python/translate-toolkit/translate-toolkit-2.0.0_beta7-r1.ebuild
new file mode 100644
index 00000000..9ad5673
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-2.0.0_beta7-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MY_PN="${PN/-toolkit}"
+MY_PV="${PV/_beta/b}"
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="https://github.com/translate/translate"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc +html +ical +ini +subtitles +yaml"
+
+COMMON_DEPEND="
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+DEPEND="${COMMON_DEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ !dev-python/pydiff
+ app-text/iso-codes
+ >=dev-python/chardet-2.3.0[${PYTHON_USEDEP}]
+ dev-python/diff-match-patch[${PYTHON_USEDEP}]
+ >=dev-python/lxml-3.5[${PYTHON_USEDEP}]
+ >=dev-python/python-levenshtein-0.12.0[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( dev-python/iniparse[${PYTHON_USEDEP}] )
+ subtitles? ( $(python_gen_cond_dep 'media-video/gaupol[${PYTHON_USEDEP}]' 'python3*') )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+
+REQUIRED_USE="
+ subtitles? ( || ( $(python_gen_useflags 'python3*') ) )
+"
+
+S="${WORKDIR}/${MY_PN}-${MY_PV}"
+
+python_prepare_all() {
+ # Prevent unwanted d'loading in doc build
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" \
+ -e "/html_theme/ s/sphinx-bootstrap/classic/" \
+ -i docs/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html
+ HTML_DOCS=( "${S}"/docs/_build/html/. )
+ fi
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ rm -Rf docs || die
+ if ! use html; then
+ rm "${ED%/}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED%/}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED%/}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED%/}"/usr/bin/{sub2po,po2sub} || die
+ fi
+}
next reply other threads:[~2016-12-08 12:24 UTC|newest]
Thread overview: 150+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-12-08 12:24 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-02 8:59 [gentoo-commits] repo/gentoo:master commit in: dev-python/translate-toolkit/ Michał Górny
2024-11-02 8:49 Michał Górny
2024-10-19 8:42 Michał Górny
2024-10-19 8:07 Arthur Zamarin
2024-10-15 7:00 Michał Górny
2024-10-12 7:28 Michał Górny
2024-10-05 4:58 Michał Górny
2024-09-24 6:41 Michał Górny
2024-08-24 13:06 Michał Górny
2024-08-24 9:05 Arthur Zamarin
2024-08-07 14:10 Michał Górny
2024-07-11 11:59 Michał Górny
2024-06-19 4:36 Michał Górny
2024-05-16 16:28 Arthur Zamarin
2024-04-22 15:29 Michał Górny
2024-02-18 3:28 Michał Górny
2024-02-17 21:42 Jakov Smolić
2024-02-02 13:24 Michał Górny
2024-01-06 10:16 Michał Górny
2024-01-06 10:08 Michał Górny
2023-12-21 15:17 Michał Górny
2023-11-29 11:04 Michał Górny
2023-11-16 4:09 Michał Górny
2023-11-08 15:39 Michał Górny
2023-11-04 18:03 Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:35 Arthur Zamarin
2023-09-06 2:41 Michał Górny
2023-09-02 14:11 Michał Górny
2023-09-02 6:47 Sam James
2023-09-02 3:30 Sam James
2023-09-01 19:29 Arthur Zamarin
2023-09-01 19:26 Arthur Zamarin
2023-09-01 16:40 Arthur Zamarin
2023-07-26 6:03 Michał Górny
2023-07-24 11:06 Michał Górny
2023-07-24 10:05 Jakov Smolić
2023-07-01 5:22 Michał Górny
2023-06-14 16:11 Michał Górny
2023-04-08 12:24 Michał Górny
2023-04-08 8:01 Arthur Zamarin
2023-03-11 9:58 Michał Górny
2023-03-11 8:34 Arthur Zamarin
2023-03-08 5:09 Michał Górny
2023-03-08 5:09 Michał Górny
2023-03-08 5:09 Michał Górny
2023-03-08 4:44 Michał Górny
2023-03-03 5:53 Michał Górny
2023-02-06 17:07 Michał Górny
2023-02-03 15:08 Michał Górny
2023-02-03 12:52 Arthur Zamarin
2023-01-19 6:08 Michał Górny
2023-01-17 15:44 Michał Górny
2023-01-14 4:57 Michał Górny
2023-01-02 20:56 Andreas Sturmlechner
2022-12-10 9:06 Michał Górny
2022-12-10 8:57 Arthur Zamarin
2022-12-08 16:57 Michał Górny
2022-11-06 7:59 Michał Górny
2022-10-22 16:00 Michał Górny
2022-10-22 15:56 Arthur Zamarin
2022-09-18 20:00 Michał Górny
2022-09-09 7:23 Arthur Zamarin
2022-08-03 7:04 Michał Górny
2022-08-02 20:27 Sam James
2022-07-19 1:09 Sam James
2022-07-14 20:23 Arthur Zamarin
2022-07-02 4:47 Michał Górny
2022-06-13 17:41 Arthur Zamarin
2022-06-10 4:15 Michał Górny
2022-06-10 3:09 Sam James
2022-06-02 2:03 Sam James
2022-05-11 8:05 Michał Górny
2022-05-10 2:25 Sam James
2022-03-31 14:08 Michał Górny
2022-03-31 14:02 Jakov Smolić
2022-02-25 23:41 Michał Górny
2022-02-13 9:39 Michał Górny
2022-02-13 8:41 Jakov Smolić
2022-01-14 18:28 Arthur Zamarin
2022-01-05 17:27 Arthur Zamarin
2021-12-25 18:43 Michał Górny
2021-12-25 17:55 Arthur Zamarin
2021-11-25 5:54 Sam James
2021-09-25 22:14 Michał Górny
2021-09-25 19:56 Sam James
2021-09-11 7:15 Michał Górny
2021-08-25 8:23 Andreas Sturmlechner
2021-08-20 7:17 Michał Górny
2021-08-19 22:13 Michał Górny
2021-06-05 20:55 Michał Górny
2021-05-06 11:19 Michał Górny
2021-05-06 10:13 Sam James
2021-04-29 19:56 Michał Górny
2021-04-28 8:19 Michał Górny
2021-04-07 8:06 Michał Górny
2021-04-07 6:23 Sam James
2021-04-02 8:51 Michał Górny
2021-03-18 0:31 Michał Górny
2021-03-17 20:00 Sam James
2021-03-07 19:48 Sam James
2021-03-07 19:46 Sam James
2021-03-03 11:40 Michał Górny
2021-03-02 8:56 Michał Górny
2021-03-02 5:52 Sam James
2021-02-21 5:21 Sam James
2021-02-19 9:04 Michał Górny
2021-02-19 4:07 Sam James
2021-02-05 8:47 Michał Górny
2021-01-29 19:31 Michał Górny
2020-12-15 11:05 Michał Górny
2020-12-15 6:37 Sam James
2020-12-15 6:28 Sam James
2020-11-08 10:10 Michał Górny
2020-11-08 9:56 Sam James
2020-11-08 9:48 Sam James
2020-11-08 9:43 Sam James
2020-10-11 21:33 Andreas Sturmlechner
2020-08-22 7:13 Michał Górny
2020-07-21 9:33 Agostino Sarubbo
2020-07-05 20:12 Michał Górny
2020-06-08 16:34 Mart Raudsepp
2020-04-17 0:04 Andreas Sturmlechner
2020-04-17 0:04 Andreas Sturmlechner
2020-01-10 9:50 Andreas Sturmlechner
2020-01-10 1:26 Thomas Deutschmann
2019-12-23 3:25 Aaron Bauman
2019-12-21 10:49 Mikle Kolyada
2019-12-18 0:32 Andreas Sturmlechner
2019-12-02 23:29 Aaron Bauman
2019-12-02 16:33 Mikle Kolyada
2019-12-02 16:12 Mikle Kolyada
2019-11-27 2:58 Aaron Bauman
2019-11-24 20:48 Andreas Sturmlechner
2019-11-24 17:13 Andreas Sturmlechner
2019-04-27 14:46 Andreas Sturmlechner
2019-03-11 21:03 Andreas Sturmlechner
2018-07-09 1:35 Andreas Sturmlechner
2018-06-26 18:23 Pacho Ramos
2018-06-26 18:23 Pacho Ramos
2017-03-26 9:25 Andreas Sturmlechner
2017-03-02 10:30 Agostino Sarubbo
2017-02-04 19:26 Andreas Sturmlechner
2016-12-18 15:57 Agostino Sarubbo
2016-12-18 15:44 Agostino Sarubbo
2016-12-08 12:24 Michał Górny
2016-11-06 18:11 David Seifert
2016-11-06 18:11 David Seifert
2016-10-21 21:40 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1481199819.11c987dffcb79ed9bf0caa518960afaff665f13d.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox